[PATCH 2/2] devel: add script to test out-of-tree builds

Jani Nikula jani at nikula.org
Sun Sep 10 04:56:17 PDT 2017


Something I used for 'git bisect run', but we should really add this
as part of our process.
---
 devel/out-of-tree-build-check.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 devel/out-of-tree-build-check.sh

diff --git a/devel/out-of-tree-build-check.sh b/devel/out-of-tree-build-check.sh
new file mode 100755
index 000000000000..cf938ed20f26
--- /dev/null
+++ b/devel/out-of-tree-build-check.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# test out-of-tree builds in a temp directory
+# passes all args to make
+
+set -e
+
+srcdir="$(cd "$(dirname "$0")"/.. && pwd)"
+builddir=$(mktemp -d)
+
+cd $builddir
+
+$srcdir/configure
+make "$@"
+
+cd $notmuch_dir
+rm -rf $builddir
-- 
2.11.0



More information about the notmuch mailing list